Bug 192399 - update devel/avr-gcc to very recent gcc
Summary: update devel/avr-gcc to very recent gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joerg Wunsch
URL:
Keywords:
Depends on:
Blocks: 192400
  Show dependency treegraph
 
Reported: 2014-08-05 11:55 UTC by Kurt Jaeger
Modified: 2014-08-08 21:25 UTC (History)
3 users (show)

See Also:


Attachments
update to 4.10 (315.16 KB, patch)
2014-08-05 11:55 UTC, Kurt Jaeger
no flags Details | Diff
patch to update (314.43 KB, patch)
2014-08-08 18:09 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2014-08-05 11:55:04 UTC
Created attachment 145390 [details]
update to 4.10

This patch brings devel/avr-gcc to the state of devel/gcc410, staging
is working with that as well.

joerg@ is cautious with this bleeding-edge version, uffe@uffe.org is
willing to test.
Comment 1 Kurt Jaeger freebsd_committer 2014-08-05 11:55:59 UTC
Please test. Second PR will come with devel/avr-libc
Comment 2 Uffe Jakobsen 2014-08-06 17:54:05 UTC
While this patch itself applyes to the ports tree - it seems that the patches that it contains (under files) does not apply to the downloaded gcc-4.10...

Or maybe i'm doing something wrong ?



# make clean
===>  Cleaning for avr-gcc-4.10.0.s20140803
# make
===>  License GPLv3 GPLv3RLE accepted by the user
===>   avr-gcc-4.10.0.s20140803 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by avr-gcc-4.10.0.s20140803 for building
===>  Extracting for avr-gcc-4.10.0.s20140803
=> SHA256 Checksum OK for gcc-4.10-20140803.tar.bz2.
===>  Patching for avr-gcc-4.10.0.s20140803
===>  Applying FreeBSD patches for avr-gcc-4.10.0.s20140803
Ignoring previously applied (or reversed) patch.
19 out of 19 hunks ignored--saving rejects to Makefile.in.rej
=> Patch patch-Makefile.in failed to apply cleanly.
*** Error code 1

Stop.
make: stopped in /usr/local/poudriere/ports/default/devel/avr-gcc
Comment 3 Kurt Jaeger freebsd_committer 2014-08-08 17:16:28 UTC
(In reply to uffe from comment #2)
> While this patch itself applyes to the ports tree - it seems that the
> patches that it contains (under files) does not apply to the downloaded
> gcc-4.10...

Resolved in private mail.
Comment 4 Kurt Jaeger freebsd_committer 2014-08-08 18:09:09 UTC
Created attachment 145531 [details]
patch to update

Small change which simplifies the patch and avoids the patch-Makefile.
Comment 5 Joerg Wunsch freebsd_committer 2014-08-08 20:01:16 UTC
I'm going to handle this.  I intend to turn this into two ports again,
devel/avr-gcc-devel for the GCC 4.10 stuff Kurt submitted, while keeping
devel/avr-gcc a little more conservative at GCC 4.8.3.
Comment 6 commit-hook freebsd_committer 2014-08-08 20:47:14 UTC
A commit references this bug:

Author: joerg
Date: Fri Aug  8 20:47:01 UTC 2014
New revision: 364382
URL: http://svnweb.freebsd.org/changeset/ports/364382

Log:
  Add staging support.

  Upgrade to a recent GCC version (4.8.3).

  Drop most of our local hacks.

  PR:		192399
  Submitted by:	pi

Changes:
  head/devel/avr-gcc/Makefile
  head/devel/avr-gcc/distinfo
  head/devel/avr-gcc/files/patch-200-gcc-4.5.1-libiberty-Makefile.in
  head/devel/avr-gcc/files/patch-300-gcc-4.5.1-fixedpoint-3-4-2010
  head/devel/avr-gcc/files/patch-301-gcc-4.5.1-xmega-v14
  head/devel/avr-gcc/files/patch-302-gcc-4.5.1-avrtiny10
  head/devel/avr-gcc/files/patch-303-gcc-4.5.1-osmain
  head/devel/avr-gcc/files/patch-304-gcc-4.5.1-builtins-v6
  head/devel/avr-gcc/files/patch-305-gcc-4.5.1-avrtiny10-non-fixedpoint
  head/devel/avr-gcc/files/patch-306-gcc-4.5.1-option-list-devices
  head/devel/avr-gcc/files/patch-400-gcc-4.5.1-new-devices
  head/devel/avr-gcc/files/patch-401-gcc-4.5.1-atmega32_5_50_90_pa
  head/devel/avr-gcc/files/patch-402-gcc-4.5.1-attiny1634
  head/devel/avr-gcc/files/patch-403-gcc-4.5.1-atmega48pa
  head/devel/avr-gcc/files/patch-500-gcc-4.5.1-bug13473
  head/devel/avr-gcc/files/patch-501-gcc-4.5.1-bug13579
  head/devel/avr-gcc/files/patch-502-gcc-4.5.1-bug-18145-v4
  head/devel/avr-gcc/files/patch-503-gcc-4.5.1-avrtiny10-bug-12510
  head/devel/avr-gcc/files/patch-504-gcc-4.5.1-bug12915
  head/devel/avr-gcc/files/patch-505-gcc-4.5.1-bug13932
  head/devel/avr-gcc/files/patch-506-gcc-4.5.1-bug13789
  head/devel/avr-gcc/files/patch-599-gcc-4.5.1-bug46779
  head/devel/avr-gcc/files/patch-Makefile.in
  head/devel/avr-gcc/files/patch-gcc-config-avr-driver-avr.c
  head/devel/avr-gcc/files/patch-plugins
  head/devel/avr-gcc/pkg-descr
Comment 7 commit-hook freebsd_committer 2014-08-08 21:06:16 UTC
A commit references this bug:

Author: joerg
Date: Fri Aug  8 21:06:14 UTC 2014
New revision: 364385
URL: http://svnweb.freebsd.org/changeset/ports/364385

Log:
  Add an avr-gcc-devel port for the most recent GCC feature set.

  PR:		192399
  Submitted by:	pi

Changes:
  head/devel/avr-gcc-devel/
  head/devel/avr-gcc-devel/Makefile
  head/devel/avr-gcc-devel/distinfo
  head/devel/avr-gcc-devel/files/
  head/devel/avr-gcc-devel/files/patch-Makefile.in
  head/devel/avr-gcc-devel/pkg-descr
  head/devel/avr-gcc-devel/pkg-plist
Comment 8 Joerg Wunsch freebsd_committer 2014-08-08 21:24:54 UTC
Kurt's GCC 4.10 patch committed as devel/avr-gcc-devel, and similarly 
updated devel/avr-gcc to GCC 4.8.3.